# Maintainer: Ike Devolder <ike DOT devolder AT gmail DOT com>

pkgbase="phpxx-common"
pkgname=("${pkgbase}"
         "${pkgbase}-dev")
pkgver=0.4
pkgrel=1
arch=('x86_64')
license=('MIT')
url='https://www.php.net/'
source=('php'
        'php-config'
        'phar'
        'phpize'
        'phpini.php'
)
sha256sums=('bf242fb5f50b778b4ac8762b295e2b6ac541e03dc365bad7773dc61d564197a2'
            'd9859c7e71bfeef50543c73c503ac4ff27c8aa4258e642e9116d5b76a91e8dca'
            '6dde60a9b45db980e09c78b857b6c9c940844ef36110c69d4c04e828586eac4d'
            '86232b5987484616398b25e8d242f407accb1b73cd2b6e7fa67d2822fecb1cb3'
            'b1971ef5f318c9f2284b522cec046edebfa4c10ed89f4c8e844ff3cc9c897ac1')

package_phpxx-common() {
    pkgdesc="multi version php wrappers"

	install -D -m755 "${srcdir}/php" "${pkgdir}/usr/bin/php"
	install -D -m755 "${srcdir}/php-config" "${pkgdir}/usr/bin/php-config"
	install -D -m755 "${srcdir}/phar" "${pkgdir}/usr/bin/phar"
}

package_phpxx-common-dev() {
    pkgdesc="multi version php wrappers for extension building"
    depends=('phpxx-common')

	install -D -m755 "${srcdir}/phpize" "${pkgdir}/usr/bin/phpize"
    install -D -m644 "${srcdir}/phpini.php" \
        "${pkgdir}/usr/lib/phpxx-common/phpini.php"
}
